

# ListBacklogTasks
<a name="API_ListBacklogTasks"></a>

Lists backlog tasks in the specified agent space with optional filtering and sorting

## Request Syntax
<a name="API_ListBacklogTasks_RequestSyntax"></a>

```
POST /backlog/agent-space/{{agentSpaceId}}/tasks/list HTTP/1.1
Content-type: application/json

{
   "filter": { 
      "createdAfter": "{{string}}",
      "createdBefore": "{{string}}",
      "primaryTaskId": "{{string}}",
      "priority": [ "{{string}}" ],
      "status": [ "{{string}}" ],
      "taskType": [ "{{string}}" ]
   },
   "limit": {{number}},
   "nextToken": "{{string}}",
   "order": "{{string}}",
   "sortField": "{{string}}"
}
```

## URI Request Parameters
<a name="API_ListBacklogTasks_RequestParameters"></a>

The request uses the following URI parameters.

 ** [agentSpaceId](#API_ListBacklogTasks_RequestSyntax) **   <a name="devopsagent-ListBacklogTasks-request-uri-agentSpaceId"></a>
The unique identifier for the agent space containing the tasks  
Pattern: `[a-zA-Z0-9-]{1,64}`   
Required: Yes

## Request Body
<a name="API_ListBacklogTasks_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filter](#API_ListBacklogTasks_RequestSyntax) **   <a name="devopsagent-ListBacklogTasks-request-filter"></a>
Filter criteria to apply when listing tasks Filtering restrictions: - Each filter field list is limited to a single value - Filtering by Priority and Status at the same time when not filtering by Type is not permitted - Timestamp filters (createdAfter, createdBefore) can be combined with other filters when not sorting by priority  
Type: [TaskFilter](API_TaskFilter.md) object  
Required: No

 ** [limit](#API_ListBacklogTasks_RequestSyntax) **   <a name="devopsagent-ListBacklogTasks-request-limit"></a>
Maximum number of tasks to return in a single response (1-1000, default: 100)  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 1000.  
Required: No

 ** [nextToken](#API_ListBacklogTasks_RequestSyntax) **   <a name="devopsagent-ListBacklogTasks-request-nextToken"></a>
Token for retrieving the next page of results  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Required: No

 ** [order](#API_ListBacklogTasks_RequestSyntax) **   <a name="devopsagent-ListBacklogTasks-request-order"></a>
Sort order for the tasks based on sortField (default: DESC)  
Type: String  
Valid Values: `ASC | DESC`   
Required: No

 ** [sortField](#API_ListBacklogTasks_RequestSyntax) **   <a name="devopsagent-ListBacklogTasks-request-sortField"></a>
Field to sort by Sorting restrictions: - Only sorting on createdAt is supported when using priority or status filters alone. - Sorting by priority is not supported when using Timestamp filters (createdAfter, createdBefore)  
Type: String  
Valid Values: `CREATED_AT | PRIORITY`   
Required: No

## Response Syntax
<a name="API_ListBacklogTasks_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "tasks": [ 
      { 
         "agentSpaceId": "string",
         "createdAt": "string",
         "description": "string",
         "executionId": "string",
         "hasLinkedTasks": boolean,
         "metadata": JSON value,
         "primaryTaskId": "string",
         "priority": "string",
         "reference": { 
            "associationId": "string",
            "referenceId": "string",
            "referenceUrl": "string",
            "system": "string",
            "title": "string"
         },
         "status": "string",
         "statusReason": "string",
         "supportMetadata": JSON value,
         "taskId": "string",
         "taskType": "string",
         "title": "string",
         "updatedAt": "string",
         "version": number
      }
   ]
}
```

## Response Elements
<a name="API_ListBacklogTasks_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListBacklogTasks_ResponseSyntax) **   <a name="devopsagent-ListBacklogTasks-response-nextToken"></a>
Token for retrieving the next page of results, if more results are available  
Type: String

 ** [tasks](#API_ListBacklogTasks_ResponseSyntax) **   <a name="devopsagent-ListBacklogTasks-response-tasks"></a>
List of backlog tasks  
Type: Array of [Task](API_Task.md) objects

## Errors
<a name="API_ListBacklogTasks_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access to the requested resource is denied due to insufficient permissions.    
 ** message **   
Detailed error message describing why access was denied.
HTTP Status Code: 403

 ** ConflictException **   
The request conflicts with the current state of the resource.    
 ** message **   
Detailed error message describing the conflict.
HTTP Status Code: 409

 ** ContentSizeExceededException **   
This exception is thrown when the content size exceeds the allowed limit.  
HTTP Status Code: 413

 ** InternalServerException **   
This exception is thrown when an unexpected error occurs in the processing of a request.  
HTTP Status Code: 500

 ** InvalidParameterException **   
One or more parameters provided in the request are invalid.    
 ** message **   
Detailed error message describing which parameter is invalid and why.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource could not be found.    
 ** message **   
Detailed error message describing which resource was not found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would exceed the service quota limit.    
 ** message **   
Detailed error message describing which quota was exceeded.
HTTP Status Code: 402

 ** ThrottlingException **   
The request was throttled due to too many requests. Please slow down and try again.    
 ** message **   
Detailed error message describing the throttling condition.
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.    
 ** fieldList **   
A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.  
 ** message **   
A summary of the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_ListBacklogTasks_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/devops-agent-2026-01-01/ListBacklogTasks) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/devops-agent-2026-01-01/ListBacklogTasks) 